Bug 1889213 - The error message of uploading failure is not clear enough
Summary: The error message of uploading failure is not clear enough
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
: 1957071 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-19 05:17 UTC by Guohua Ouyang
Modified: 2021-07-07 11:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:26:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7567 0 None closed Bug 1889213: The error message of uploading failure is not clear enough 2021-01-04 02:02:09 UTC
Github openshift console pull 7710 0 None open Bug 1889213: The error message of uploading failure is not clear enough 2021-01-05 15:26:30 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:27:08 UTC

Description Guohua Ouyang 2020-10-19 05:17:05 UTC
Description of problem:
When image upload fail, it only shows 'Data Volume failed to initiate upload' but not tell the exact failure reason.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. fill a very large pvc size and start upload
2.
3.

Actual results:
fails with error `Data Volume failed to initiate upload`.

Expected results:
It gives a more specify error about why it fail.

Additional info:

Comment 1 Guohua Ouyang 2020-10-19 05:22:01 UTC
Sometimes the error is 'Request failed with status code 400'.

Comment 2 Guohua Ouyang 2020-10-19 05:25:05 UTC
(In reply to Guohua Ouyang from comment #1)
> Sometimes the error is 'Request failed with status code 400'.

the root cause of this is:

E1019 05:21:02.509421       1 data-processor.go:221] Virtual image size 4294967296 is larger than available size 1073741824. A larger PVC is required.
E1019 05:21:02.509458       1 uploadserver.go:366] Saving stream failed: Virtual image size 4294967296 is larger than available size 1073741824. A larger PVC is required.

Comment 3 Gilad Lekner 2020-12-09 11:32:56 UTC
when 'Data Volume failed to initiate upload' is appearing, the dv is now deleted and the message changed to: 'Data Volume failed to initiate upload, and has been deleted.'

regarding the 400 error, should we point the user to the logs?

Comment 4 Guohua Ouyang 2020-12-14 03:13:03 UTC
I don't know whether there is a common interface to retrieve the error reason from CDI or somewhere else for all types of error.
If we just write the error reason by ourselves, it's fragile and not good to maintain them.

@Tomas, wdyt?

Comment 5 Tomas Jelinek 2020-12-14 15:29:51 UTC
There is this global "events" screen on the dashboard, would it show up there?

Comment 6 Guohua Ouyang 2020-12-15 11:54:34 UTC
(In reply to Gilad Lekner from comment #3)
> when 'Data Volume failed to initiate upload' is appearing, the dv is now
> deleted and the message changed to: 'Data Volume failed to initiate upload,
> and has been deleted.'
>
The back pod are deleted in this way, not able to look into the pod log for exact failure reason.

Comment 7 Guohua Ouyang 2020-12-15 11:56:58 UTC
(In reply to Tomas Jelinek from comment #5)
> There is this global "events" screen on the dashboard, would it show up
> there?

When the upload is failed, there are no error message and useful information in Home -> Events.

Comment 10 Guohua Ouyang 2021-01-04 02:07:26 UTC
Now it's have a link for looking at the pod log, but it's always a 404 pod.

Comment 12 Guohua Ouyang 2021-01-07 04:42:38 UTC
It only shows 'Request failed with status code 400" now.

Comment 13 Guohua Ouyang 2021-01-07 13:16:36 UTC
The issue is fixed on latest ocp 4.7, move back to ON_QA.

Comment 17 errata-xmlrpc 2021-02-24 15:26:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633

Comment 18 Tal Nisan 2021-07-07 11:41:13 UTC
*** Bug 1957071 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.